<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.qs.mp.user.mapper.UserRedPkgMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.qs.mp.user.domain.UserRedPkg">
        <id column="id" property="id" />
        <result column="user_id" property="userId" />
        <result column="ref_id" property="refId" />
        <result column="title" property="title" />
        <result column="pic_url" property="picUrl" />
        <result column="value" property="value" />
        <result column="draw_time" property="drawTime" />
        <result column="status" property="status" />
        <result column="created_time" property="createdTime" />
        <result column="updated_time" property="updatedTime" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id, user_id, ref_id, title, pic_url, value, draw_time, status, created_time, updated_time
    </sql>

</mapper>